Bug 1111807 (CVE-2014-4510) - CVE-2014-4510 apt-cacher-ng: XSS vulnerability
Summary: CVE-2014-4510 apt-cacher-ng: XSS vulnerability
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-4510
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140620,repor...
Depends On: 1111808
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-21 16:16 UTC by Vincent Danen
Modified: 2019-06-08 20:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-04 00:40:46 UTC


Attachments (Terms of Use)

Description Vincent Danen 2014-06-21 16:16:43 UTC
As noted in this report to oss-security [1], a flaw exists in the apt-cacher-ng server, and an inside attacker (on the LAN with knowledge of the server's address), could trick a user into visiting, or redirect them to, a manipulated URL that would cause the cross-site scripting attack.

A proposed fix has been made [2].

[1] http://seclists.org/oss-sec/2014/q2/602
[2] http://anonscm.debian.org/gitweb/?p=apt-cacher-ng/apt-cacher-ng.git;a=commitdiff;h=6f08e6a3995d1bed4e837889a3945b6dc650f6ad

Comment 1 Vincent Danen 2014-06-21 16:17:09 UTC
Created apt-cacher-ng tracking bugs for this issue:

Affects: fedora-20 [bug 1111808]

Comment 2 Murray McAllister 2014-06-23 03:15:03 UTC
MITRE assigned CVE-2014-4510 to this issue:

http://seclists.org/oss-sec/2014/q2/603

Comment 3 Fedora Update System 2014-07-04 00:29:58 UTC
apt-cacher-ng-0.7.26-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.